%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.0.0
%define		pkgname	packagexml2cl
Summary:	Program to convert PEAR package.xml to ChangeLog format
Name:		php-%{pkgname}
Version:	0.1
Release:	4
License:	GPL v2
Group:		Development/Languages/PHP
Source0:	xml2changelog
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.461
Requires:	php(core) >= %{php_min_version}
Requires:	php(simplexml)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program to convert PEAR package.xml to ChangeLog format.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/%{pkgname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{pkgname}
%changelog
* Fri Jun 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-packagexml2cl.git;a=log;h=AC-branch

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 5b7b41f
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> dac43fc
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 35da2b3
- wordwrap notes

* Thu Mar 25 2010 Elan Ruusamäe <glen@pld-linux.org> 79ed980
- rel 1

* Thu Mar 25 2010 Elan Ruusamäe <glen@pld-linux.org> 3bd4dde
- use empty check instead

* Thu Mar 25 2010 Elan Ruusamäe <glen@pld-linux.org> b102acf
- give code some style

* Thu Mar 25 2010 Elan Ruusamäe <glen@pld-linux.org> d0cff06
- R: php-simplexml

* Thu Mar 25 2010 Elan Ruusamäe <glen@pld-linux.org> f41b309
- xml2changelog from fedora repository,
  I have no better ideas how to name the script and package,
  I did my best to make it logical.

